<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2026-05-23T03:38:25.765Z" hostname="devserver3" time="7.997">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="3.808"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.097"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.092"/>
  <system-out><![CDATA[port = 45675
07:38:25,830 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
07:38:25,833 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - No custom configurators were discovered as a service.
07:38:25,833 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
07:38:25,834 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
07:38:25,836 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
07:38:25,837 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
07:38:25,842 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 3 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
07:38:25,842 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
07:38:25,842 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
07:38:25,844 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
07:38:25,848 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/create-manage-assignments-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
07:38:25,849 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs multiple times on the classpath.
07:38:25,849 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/create-manage-assignments-end-to-end/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
07:38:25,849 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@294a6b8e - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/create-manage-assignments-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
07:38:25,852 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/create-manage-assignments-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/create-manage-assignments-end-to-end/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml] is not of type file
07:38:25,940 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log/" substituted for "${logs_dir:-./log/}"
07:38:25,941 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
07:38:25,941 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
07:38:25,945 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
07:38:25,946 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@db57326 - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
07:38:25,951 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@883455411 - No compression will be used
07:38:25,961 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@883455411 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
07:38:25,961 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
07:38:25,962 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
07:38:25,962 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Roll-over at midnight.
07:38:25,962 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Setting initial period to 2026-05-22T17:35:22.751Z
07:38:25,962 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
07:38:25,962 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
07:38:25,962 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@4748a0f9 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
07:38:25,965 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
07:38:25,984 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
07:38:25,986 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Setting currentFileLength to 60342 for ./log/respect-server.log
07:38:25,986 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
07:38:25,987 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
07:38:25,988 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
07:38:25,988 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
07:38:25,988 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
07:38:25,988 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@4b14918a - End of configuration.
07:38:25,989 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@6d1ef78d - Registering current configuration as safe fallback point
07:38:25,989 |-INFO in ch.qos.logback.classic.util.ContextInitializer@5b1ebf56 - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 147 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[Mockito is currently self-attaching to enable the inline-mock-maker. This will no longer work in future releases of the JDK. Please add Mockito as an agent to your build as described in Mockito's documentation: https://javadoc.io/doc/org.mockito/mockito-core/latest/org.mockito/org/mockito/Mockito.html#0.3
WARNING: A Java agent has been loaded dynamically (/home/jenkins/.gradle/caches/modules-2/files-2.1/net.bytebuddy/byte-buddy-agent/1.15.11/a38b16385e867f59a641330f0362ebe742788ed8/byte-buddy-agent-1.15.11.jar)
WARNING: If a serviceability tool is in use, please run with -XX:+EnableDynamicAgentLoading to hide this warning
WARNING: If a serviceability tool is not in use, please run with -Djdk.instrument.traceUsage for more information
WARNING: Dynamic loading of agents will be disallowed by default in a future release
]]></system-err>
</testsuite>
